Subject: Doorstep Review on Metals Business
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 27 Feb 2001 03:31:00 -0800 (PST)

Shona and Mike Jordan had talked last week about pushing back the Doorstep 
review on the metals business in London and had agreed to take that out of 
the plan for Q1.  

As of last week, we have redirected Shona's reporting line to Beth Apollo.  I 
have asked Beth to review the doorstep review plan for all of 2001 and to 
recommend any changes in timing and approach.  Beth is in fact in Monterrey, 
Mexico today and tomorrow, completing a review of that office.  Soon after 
she returns, she will review and update the suggested doorstep review 
schedule.  After that has been updated, she will review the revised schedule 
with Rick Causey for any additional input and concurrence on the selection of 
key offices/businesses to review and the timing of such.  With Beth's 
knowledge of the businesses in London, I am sure we will benefit from her eye 
towards effective scheduling of the reviews.